*{
  margin: 0;
  padding: 0;
  font: inherit;
  font-family: sans-serif;
}
.container{
  --max-width:1110px;
  --padding:1rem;

  width: min(var(--max-width),100% - (var(--padding)*2));
  margin-inline: auto;
}
.even-columns{
  display: grid;
  gap: 1rem;

}
.offer{
  --max-width:1350px;
  --padding:1rem;
  background-size: 100% 100%;
  width: min(var(--max-width),100% - (var(--padding)*2));
  margin-inline: auto;
}
.offer img{
  height: 18rem;
  width: 100%;
}
.main-page{
  --max-width:1350px;
  --padding:1rem;
background-size: 100% 100%;
  width: min(var(--max-width),100% - (var(--padding)*2));
  margin-inline: auto;
  background-image: url(./images/backgroound.jpg);
}
.text-box{
border-radius: 1em ;
  background-color: rgb(53,24, 90,0.8)
}
.image img{
  margin-top: 6em ;
  width: 20em;
  height: 16em;
}
 .button button{
  font-size: 1.5em;
  margin-top: 3.5em;
  background-color:rgb(187, 132, 232);
  width: 9em;
  height:3em;

}
body{
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}
header img{
  margin-top: 0.5em;
 height: 150px;
 width: 150px;
}
.primary-navigation{
  margin-top: -3.2em;
}

 .banner{
  text-align: center;
 }
 h3{
  font-size: 3.52em;
  font-weight:bolder;
  color: rgb(187, 132, 232)
 }
 h2{
  color:rgb(53,24, 90) ;
  font-size: 2.5em;
  font-weight: 600;
 }
 h4{
  color: white;
  font-size: 2.5em;
  font-weight: 600;
 }
 .main-2{
  margin-top: 2em;
 }

 .text-box h1{
  color: white;
 }
 h1{
  font-size: 1.375em;
 
 }
 .main-1 b{
  color: rgb(53,24, 90)
 }

 header ul{
  list-style: none;
  display: flex;
  justify-content: flex-end;
 }
 nav ul li a{
  margin-top: -1.8em;
  font-size: 1.3em;
  text-decoration: none;
  display: flex;
  color: rgb(53,24, 90);
  padding: 0em 2.5em;
  
 }

 footer img{
  width: 150px;
  height: 50px;
 }
 footer ul{
  display: flex;
  list-style: none;
  justify-content: center;
 }
 .social-media li a{
  display: flex;
  text-align: center;
  text-decoration: none;
  padding: 0em 2.5em;
  margin-top: 1em;
 }
 footer{
  text-align: center;
 }



.main2{
 background-color: rgb(241, 241, 241);
 border-radius: 1.5em;
}
.main-2 h4{
  text-align: center;
  color: rgb(53,24, 90);
}
button{
  margin-top: -0.7em;
  background-color: rgb(53,24, 90);
  color: white;
  height: 2.5em;
  width: 6em;
  border: none;
  border-radius: 1em;
  font-size: 1.2em;
}
.sidebar{
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh; 
  width: 250px;
  z-index: 999;
  background-color: rgb(255, 255, 255);
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgb(139, 139, 139) ;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.sidebar li{
   margin: 20px;
  justify-content: center;
   width: 100%;


}
.sidebar li a{
   text-decoration: none;
   padding: 0px 40px;
   height: 40px;
   display: flex;
   align-items: center;
   color: rgb(53,24, 90);
   font-size: 18px;
   transition: 1s;
}

.socialIcons img{
  height: 30px;
  width: 40px;
 }
footer{
  background-color: #111;
}
.footerContainer{
  width: 95%;
  padding: 70px 30px 20px ;
}
.socialIcons{
  display: flex;
  justify-content: center;
}
.socialIcons a{
  text-decoration: none;
  padding:  10px;
  background-color: white;
  margin: 10px;
  border-radius: 50%;
}
.socialIcons a i{
  font-size: 2em;
  color: black;
  opacity: 0,9;
}



.footerNav{
  margin: 30px 0;
}
.footerNav ul{
  display: flex;
  justify-content: center;
  list-style-type: none;
}
.footerNav ul li a{
  color:white;
  margin: 20px;
  text-decoration: none;
  font-size: 1.3em;
  opacity: 0.7;
  transition: 0.5s;

}

.footerBottom{
  background-color: #000;
  padding: 20px;
  text-align: center;
}
.footerBottom p{
  color: white;
}
.designer{
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 400;
  margin: 0px 5px;
}
.cards{
  gap: 2em;
  display: flex;
  justify-content: center;
  display: grid;
}
.card{
  margin-top: 1.5em;
  justify-content: center;
  width: 18em;
  height: 34em;
 justify-content: center;
 display: grid;
}

.card-content{
  border-radius: 2em;
  background-color: rgb(214, 213, 213,0.7);
  padding: 1em;
  text-align: center;
}
.card img{

  padding: 1em -3em;
  width: 16em;
  height: 12em;
}
.rating-img{
  margin-top: 2em;
}
.rating-img h2{
text-align: center;
font-size: 3em;
color: rgb(255, 166, 0);
}
.rating-img img{
  height: 15em;
margin-top: -6em;
}
.rating{
  margin-top: 2.4em;
}
@media (max-width: 700px){
  .footerNav ul{
      flex-direction: column;
  } 
  .footerNav ul li{
      width:100%;
      text-align: center;
     
  }
  .socialIcons a{
      padding: 8px;
      margin: 4px;
  }
}
@media(min-width: 80em){

  .even-columns{
    grid-auto-flow: column;
  
  }
  .cards{
    grid-auto-flow: column;
  
  }

  .menubutton{
    display: none;
}
}
@media(max-width:25.75em){
  .main-page{
    background: none;
    --max-width:100%;
  --padding:0rem;
  width: min(var(--max-width),100% - (var(--padding)*2));
  margin-inline: auto;
  }
  .offer{
    background: none;
    --max-width:100%;
  --padding:0rem;
  width: min(var(--max-width),100% - (var(--padding)*2));
  margin-inline: auto;
  }
  .offer img{
    height: 10rem;
    width: 21rem;
  }
  .heading{
    background-size: cover;
    background-image: url(./images/backgroound.jpg);
  }
  
}
@media(max-width: 70em){
  .rating-img{
    margin-top: 0.5em;
  }
  .rating-img img{
    height: 10em;
  margin-top: -4em;
  }
  .rating{
    font-size: 1.3em;
  }
  .card h1{
    font-size: 1.5em;

  }
  .card{
    padding: 4em 0em;
    width: 25em;
    height: 19em;
  }
  .button button{
   
    width: 4em;
    height: 3em;
    margin-top: 1em;
  }
  .main-2{
    margin-top: 0;
  }
  .button button{
    font-size: 1em;
    font: 2em;
    width: 6em;
    height:3em;

  
  }
  .menubutton{
    margin-top: -0.5em;
    margin-right: -3em;
    align-items: end;
  }
  .hideonmobile{
    display: none;
  }
  .container{
    text-align: center;
  }
  .social-media li a{
    padding: 0.7em 1.5em;
    margin-top: 0.5em;
  }
  h3{
    font-size: 2.5em;
    font-weight:bolder;
    color: rgb(187, 132, 232)
   }
   h2{
    font-size: 2em;
    font-weight: 600;
   }
  
   h4{
    font-size: 2.2em;
    font-weight: 600;
   }
   h1{
    font-size: 1em;
   
   }
 .main2-list h1{
font-size: 1.5em;
 }
 .main-2 h4{
  padding:0em 3em;
  color: rgb(53,24, 90);
}
.main-3 h1{
  font-size: 1.3em;
}
button{
  font-size: 1.2em;
}
}